API referencePayouts

Cancel a payout

Withdraw a payout that has not reached a rail. The reservation is released, so the money is spendable again immediately.

POST
/api/b/v1/payouts/{payout_id}/cancel

Withdraw a payout that has not reached a rail. The reservation is released, so the money is spendable again immediately.

Authorization

OAuth2PasswordBearer
AuthorizationBearer <token>

In: header

Path Parameters

payout_id*Payout Id
Formatuuid
admin_access_token?string|null

Response Body

application/json

application/json

curl -X POST "https://example.com/api/b/v1/payouts/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "reference": "string",  "amount_minor": 0,  "fee_minor": 0,  "total_minor": 0,  "currency": "string",  "status": "created",  "method": "string",  "transaction_type": "string",  "category": "string",  "recipient_name": "string",  "country_code": "string",  "rail": "string",  "provider_reference": "string",  "failure_reason": "string",  "approval_id": "15af2260-72db-4fc4-b587-6b841d6a3d55",  "created_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z"}